Update rails-i18n to 0.5.1
[rails.git] / config / initializers / i18n.rb
index a061d873a2eab5e9b03cc079944bb1794ed978cc..7aafc91ebdbb7c0c26f01af95b18d89f7c0fadb4 100644 (file)
@@ -1,6 +1,28 @@
-require 'globalize/i18n/missing_translations_log_handler'
+module I18n
+  module Backend
+    module Fallbacks
+      def find_first_string_or_lambda_default(defaults)
+        defaults.each_with_index { |default, ix| return ix if default && !default.is_a?(Symbol) }
+        nil
+      end
+    end
 
-I18n.missing_translations_logger = Logger.new("#{RAILS_ROOT}/log/missing_translations.log")
-I18n.exception_handler = :missing_translations_log_handler
+    module PluralizationFallback
+      def pluralize(locale, entry, count)
+        super
+      rescue InvalidPluralizationData => ex
+        raise ex unless ex.entry.has_key?(:other)
+        ex.entry[:other]
+      end
+    end
+  end
+end
 
-I18n.backend.add_pluralizer :sl, lambda { |c| c%100 == 1 ? :one : c%100 == 2 ? :two : (3..4).include?(c%100) ? :few : :other }
+I18n::Backend::Simple.include(I18n::Backend::PluralizationFallback)
+I18n::Backend::Simple.include(I18n::Backend::Fallbacks)
+
+I18n.fallbacks.map("no" => "nb")
+
+Rails.configuration.after_initialize do
+  I18n.reload!
+end